{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/occurrence/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/occurrence/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_occurrence_overview', {'personId': person.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Vorgang eintragen</span>
        {{ form_widget(occurrenceForm.save, {'label': 'SPEICHERN', 'id': occurrenceForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            {{ form_start(occurrenceForm, {'attr': {'id': occurrenceForm.vars.id ~ '_form'}}) }}
            {% include 'person_management/form/occurrence/occurrence_form.html.twig' with {'form': occurrenceForm, 'personSelectType': occurrenceForm.person} only %}
            {{ form_row(occurrenceForm._token) }}
            {{ form_end(occurrenceForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
